Question

Could not locate the assembly "Interop.FREngine" version = 11.1.19.72

When deploying a solution to Pega Portal, we are getting the following error for the server deployment

Could not locate the assembly "Interop.FREngine" version = 11.1.19.72

The local deployment succeeds but the deployment to server fails.

Correct Answer
November 1, 2019 - 10:05am

This has been resolved.  The root cause of the issue was that the developer had included a version number with decimals in the solution name.  Once we removed that, the solution published to the deployment portal without incident and we no longer received the  "Could not locate the assembly "Interop.FREngine" version = 11.1.19.72"  error.  

Would have been easier if the error message actually pointed us to the invalid solution name instead of sending us on a needle in the hay-stack search.

 

Comments

Keep up to date on this post and subscribe to comments

Pega
October 18, 2019 - 4:48pm

I suspect something other than that is the cause of the error. If possible, would you post a StudioLog? If you cannot, I would look there and see what messages are being reported. Since you can build the solution, the issue has to be with the communication to Robot Manager or the Package Server and likely not because of a missing DLL.

November 1, 2019 - 10:05am

This has been resolved.  The root cause of the issue was that the developer had included a version number with decimals in the solution name.  Once we removed that, the solution published to the deployment portal without incident and we no longer received the  "Could not locate the assembly "Interop.FREngine" version = 11.1.19.72"  error.  

Would have been easier if the error message actually pointed us to the invalid solution name instead of sending us on a needle in the hay-stack search.

 

Pega
November 1, 2019 - 12:58pm
Response to JayJ4744

Agreed. I would suggest that you open a support ticket on this issue so that it can be addressed.